#ifndef SIMULATION_WORLD_H
#define SIMULATION_WORLD_H

#include <stdlib.h>

#include "shared/game_world.h"

typedef struct {
    Game_World *game_world;
} Simulation_World;

Simulation_World simulation_create_world(uint32_t seed, uint8_t max_players, uint16_t width, uint16_t height);
void simulation_destroy_world(Simulation_World *simulation_world);

#endif